/*
 * $Id: mainwindow.cpp,v 0.1 2005/08/14 11:25:03 denis Exp $
 *
 * Author: Denis Kozadaev (denis@tambov.ru)
 * Description:
 *
 * See also: style(9)
 *
 * Hacked by:
 */

#include <ntqapplication.h>

#include "mainwindow.h"

MainWindow::MainWindow(TQWidget *parent, const char *name)
	:TQMainWindow(parent, name)
{
	file = new TQPopupMenu(this);
	file->insertItem(tr("New"), this, SLOT(newGame()), TQt::CTRL + TQt::Key_N);
	file->insertItem(tr("Load an image"), this, SLOT(loadImage()),
		TQt::CTRL + TQt::Key_L);
	file->insertItem(tr("Quit"), tqApp, SLOT(quit()), TQt::CTRL + TQt::Key_Q);

	menuBar()->insertItem(tr("File"), file);

	gb = new GameBoard(this);
	setCentralWidget(gb);
}

MainWindow::~MainWindow()
{
	delete gb;
	delete file;
}


void
MainWindow::newGame()
{
	gb->newGame();
}


void
MainWindow::loadImage()
{
	gb->loadImage();
}

#include "mainwindow.moc"
